Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface AuditAtnEventV2

All Superinterfaces:
  AuditContext, AuditEvent

    public interface AuditAtnEventV2

extends AuditEvent, AuditContext

The `AuditAtnEventV2` interface is used to post authentication audit events. The WebLogic Security Framework implements this interface and may post audit events for the following security events:

- The authentication of a user has succeeded.
- The authentication of a user has failed.
- Identity assertion to a user has succeeded.
- Identity assertion to a user has failed.
- Identity impersonation of a user has succeeded.
- Identity impersonation of a user has failed.
- Validation of principals has failed.
- A user has been locked by the user lockout manager.
- A user has been unlocked.
- A user lockout has expired.

An Authentication provider may also implement this interface and post additional types of authentication audit events.

An Auditing provider can use this interface to get additional information about the authentication audit event. The `AuditSeverity` and `AtnEventType` attributes can be used to determine which of the above audit events has been posted.

Nested Class Summary
`static class` | `AuditAtnEventV2.AtnEventTypeV2` The `AtnEventType` class describes the authentication event types that are supported.

Method Summary
`AuditAtnEventV2.AtnEventTypeV2` | `getAtnEventType()` Gets the event type associated with this `AuditAtnEvent`.
`String` | `getUsername()` Gets the username associated with this `AuditAtnEvent`.

Methods inherited from interface weblogic.security.spi.AuditEvent
`getEventType, getFailureException, getSeverity, toString`

Methods inherited from interface weblogic.security.spi.AuditContext
`getContext`

Method Detail

### getUsername

    String getUsername()

  Gets the username associated with this `AuditAtnEvent`.

  Returns:
    the username that is attempting to be authenticated.

### getAtnEventType

    AuditAtnEventV2.AtnEventTypeV2 getAtnEventType()

  Gets the event type associated with this `AuditAtnEvent`.

  Returns:
    the authentication event type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD